import React from 'react';
import PropTypes from 'prop-types';

import { ButtonStyled } from './styles';

const propTypes = {
  size: PropTypes.oneOf(['small', 'medium', 'large', 'xLarge']),
  type: PropTypes.oneOf(['info', 'danger', 'success', 'default']),
  disabled: PropTypes.bool,
  fullWidth: PropTypes.bool,
  onClicked: PropTypes.func,
};

const defaultProps = {
  size: 'small',
  type: 'info',
  disabled: false,
  fullWidth: false,
  onClicked: Function.prototype,
};

const Button = ({ children, onClicked, ...props }) => (
  <ButtonStyled
    variant="contained"
    onClick={onClicked}
    {...props}
    disableRipple
  >
    {children}
  </ButtonStyled>
);

Button.propTypes = propTypes;

Button.defaultProps = defaultProps;

export default Button;
