const white = '#FFFFFF';
const black = '#0F131A';

const whites = {
  'white-medium': 'rgba(255, 255, 255, 0.84)',
  'white-solid': '#FFFFFF',
};

const darkPurples = {
  'purple-light-transparent': 'rgba(35, 22, 63, 0.05)',
  'purple-lightest': 'rgba(35, 22, 63, 0.34)',
  'purple-lighter': 'rgba(35, 22, 63, 0.44)',
  'purple-light': 'rgba(35, 22, 63, 0.64)',
  'purple-medium': 'rgba(35, 22, 63, 0.84)',
  'purple-solid': '#23163f',
  darkPurple: '#23163fd7',
};

const accentPurples = {
  'purple-accent-transparent': 'rgb(80, 83, 162, 0.05)',
  'purple-accent-extra-lightest': 'rgb(80, 83, 162, 0.25)',
  'purple-accent-lightest': 'rgb(80, 83, 162, 0.34)',
  'purple-accent-lighter': 'rgb(80, 83, 162, 0.44)',
  'purple-accent-light': 'rgb(80, 83, 162, 0.64)',
  'purple-accent-medium': 'rgb(80, 83, 162, 0.84)',
  'purple-accent-solid': '#5053A2',
};

const greens = {
  'green-lightest': 'rgb(153, 188, 8, 0.34)',
  'green-lighter': 'rgb(153, 188, 8, 0.44)',
  'green-light': 'rgb(153, 188, 8, 0.64)',
  'green-medium': 'rgb(153, 188, 8, 0.84)',
  'green-solid': '#99BC08',
  'green-hover': '#668c00',
};

const blues = {
  'blue-lightest': 'rgb(60, 165, 217, 0.34)',
  'blue-lighter': 'rgb(60, 165, 217, 0.44)',
  'blue-light': 'rgb(60, 165, 217, 0.64)',
  'blue-medium': 'rgb(60, 165, 217, 0.84)',
  'blue-solid': '#3CA5D9',
  'blue-hover': '#0076a7',
};

const oranges = {
  'orange-lightest': 'rgb(246, 142, 32, 0.34)',
  'orange-lighter': 'rgb(246, 142, 32, 0.44)',
  'orange-light': 'rgb(246, 142, 32, 0.64)',
  'orange-medium': 'rgb(246, 142, 32, 0.84)',
  'orange-solid': '#F68E20',
};

const reds = {
  'red-lightest': 'rgb(232, 48, 27, 0.34)',
  'red-lighter': 'rgb(232, 48, 27, 0.44)',
  'red-light': 'rgb(232, 48, 27, 0.64)',
  'red-medium': 'rgb(232, 48, 27, 0.84)',
  'red-solid': '#E8301B',
  'red-hover': '#ad0000',
};

const grays = {
  'gray-label': '#D8D8D8',
  'gray-lightest': 'rgba(22, 36, 63, 0.02)',
  'gray-lighter': 'rgba(32, 24, 61, 0.04)',
  'gray-light': 'rgba(32, 24, 61, 0.08)',
  'gray-medium': 'rgba(32, 24, 61, 0.12)',
  'gray-solid': 'rgb(228, 227, 232)',
  'gray-hover': '#E4E3E8',
};

export const colors = {
  white,
  black,
  ...whites,
  defaultGray: '#23163fa3',
  wellGray: '#f3f2f7',
  disabledGray: '#23163f57',
  dividerGray: '#e3e2e7',
  ...grays,
  transparent: 'transparent',
  defaultBoxShadow: '#20183d1e',
  lightenGray: '#20183d0a',
  lightGray: '#23163f70',
  lightPurple: '#e4e3e8',
  divider: 'rgb(227, 226, 231)',
  ...darkPurples,
  ...accentPurples,
  ...greens,
  ...blues,
  ...oranges,
  ...reds,
};

export const borderRadius = {
  kilo: '1px',
  mega: '4px',
  giga: '5px',
};

export const spacings = {
  bit: '4px',
  byte: '8px',
  kilo: '12px',
  mega: '16px',
  giga: '24px',
  tera: '32px',
  peta: '40px',
  exa: '48px',
  zetta: '56px',
};

export const fontsStack = {
  default: `'Open Sans', sans-serif;`,
};

export const fontWeights = {
  normal: 400,
  semibold: 600,
  bold: 700,
};

export const grid = {
  default: {
    priority: 0,
    breakpoint: 'default',
    cols: 12,
    maxWidth: '880px',
  },
};
